package com.perforce.spark.connection;

import java.util.ResourceBundle;

public class ConnectionConfig {

	private static ResourceBundle bundle = ResourceBundle.getBundle("config");

	public static String toUri() {
		String sslStr = bundle.getString("com.perforce.pam.p4ssl");
		boolean ssl = "true".equalsIgnoreCase(sslStr);
		String port = bundle.getString("com.perforce.pam.p4port");

		if (ssl) {
			return "p4javassl://" + port;
		} else {
			return "p4java://" + port;
		}
	}

	
	public static String getSearch() {
		return bundle.getString("com.perforce.pam.p4search");
	}
	
	public static String getClientPrefix() {
		return bundle.getString("com.perforce.pam.clientprefix");
	}

	public static String getProxyUser() {
		return bundle.getString("com.perforce.pam.proxy.user");
	}

	public static String getProxyTicket() {
		return bundle.getString("com.perforce.pam.proxy.ticket");
	}

	public static String getProduct() {
		return bundle.getString("com.perforce.pam.product");
	}

	public static String getVersion() {
		return bundle.getString("com.perforce.pam.version");
	}

	public static int getProxyPool() {
		String poolStr = bundle.getString("com.perforce.pam.proxy.poolsize");
		int pool = Integer.parseInt(poolStr);
		return pool;
	}

}
